DRUO
Get started
Checkout Links

Create Checkout Link

POSThttps://api.druo.com/checkout/link/create

Creates a checkout link for an end user to initiate a payment flow.

This endpoint generates a customizable Checkout Link. You can either pass an existing end user ID or provide details to create a new one, configure branding parameters (colors, names, descriptions), and define redirection and reference details for the transaction flow.

Request body

existing_end_user_idstringRequired

The unique ID of an existing end user. If not provided, you must populate the new_end_user_details field.

new_end_user_detailsEndUserCustomeroptional

The details for creating a new end user. This field is required if existing_end_user_id is empty.

transactionPaymentRequired

The payment transaction information.

merchant_idstringoptional

The unique identifier of the merchant associated with this checkout link.

background_colorstringoptional

The HEX code for the link's background color.

The HEX code for the link's transaction details background color. Defaults to #f2f2f2 if left empty.

sidebar_text_colorstringoptional

The HEX code for the link's transaction details text color. Defaults to #333333 if left empty.

background_colorstringoptional

The HEX code for the link's verification flow background color. Defaults to #ffffff if left empty.

text_colorstringoptional

The HEX code for the link's verification flow text color. Defaults to #333333 if left empty.

button_colorstringoptional

The HEX code for the link's button color.

button_text_colorstringoptional

The HEX code for the link's button text color.

default_institutionstringoptional

The default institution used for the checkout link.

primary_referencestringoptional

The primary reference of the checkout link. Can be any value used to associate the connected account to an entity in an external system.

secondary_referencestringoptional

The secondary reference of the checkout link. Can be any value used to associate the connected account to an entity in an external system.

default_languagestringoptional

The language code to display the link in. Defaults to English if left blank.

redirect_urlstringoptional

The URL to redirect the user to after the checkout flow is successfully completed.

expiration_datestringoptional

The expiration date for this checkout link in GMT (ISO 8601 format). If set and expired, the user will be presented with an error upon opening the link.

metadatastringoptional

A set of key-value pairs that you can attach to the object. You can specify up to 50 keys, with key names up to 40 characters long and values up to 500 characters long.

If true, the user is redirected directly to the redirect URL without showing the default DRUO confirmation screen.

Response

uuidstringoptional

The unique UUID of the checkout link.

Example: clk_422f0f81-5001-4cce-a229-242d9ab9960a
codestringoptional

The unique alphanumeric code of the checkout link.

Example: CSFM03FNA3
urlstringoptional

The checkout URL where the user should be redirected to complete their transaction.

Example: https://link.druo.com/checkout/?sl=e4243523423423423423
delivary_statusstringoptional

The delivery status of the link.

Example: OPENNED
background_colorstringoptional

The HEX code for the link's background color.

Example: #333333

The HEX code for the link's transaction details background color.

Example: #f2f2f2
sidebar_text_colorstringoptional

The HEX code for the link's transaction details text color.

Example: #222222
background_colorstringoptional

The HEX code for the link's verification flow background color.

Example: #ffffff

The HEX code for the link's verification flow text color.

Example: #333333
button_colorstringoptional

The HEX code for the link's button color.

Example: #ffffff
button_text_colorstringoptional

The HEX code for the link's button text color.

Example: #000000
end_userEndUserCustomeroptional

The end user details associated with this checkout link.

transactionPaymentPaymentoptional

The transaction details associated with this checkout link.

default_institutionstringoptional

The default institution associated with the checkout link.

primary_referencestringoptional

The primary reference of the checkout link.

Example: 23423524
secondary_referencestringoptional

The secondary reference of the checkout link.

Example: bj39fhow39fhqp3f0hfae4344
default_languagestringoptional

The language code used to display this link. If left blank, defaults to English.

Possible values:es_COen_US
Example: es_CO
redirect_urlstringoptional

The URL to redirect the user to after the checkout flow is completed. Parameters such as code, reference, and status will be appended to this URL.

Example: https://example.com
expiration_datestringoptional

The expiration date for this checkout link in GMT.

Example: 2021-11-16T23:23:38
expiredbooleanoptional

Indicates whether the link is expired.

Example: false

If true, the user is redirected directly to the redirect URL without showing the DRUO confirmation page.

Example: false
metadatastringoptional

A set of key-value pairs attached to the object.

Example: {"order_id": "6735"}
date_created_gmtstringoptional

The creation date of the checkout link in GMT.

Example: 2021-11-15T23:23:38Z
date_updated_gmtstringoptional

The last update date of the checkout link in GMT.

Example: 2021-11-15T23:23:38Z
NextGETGet Checkout Link